﻿Type=StaticCode
Version=1.80
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
Dim isFavor As Boolean
Dim globalSearch As String

End Sub

Sub IsNullString(cString As String) As String
 
Try
 If cString.Length >= 0 Then
 Return cString
 End If
 Catch
 Return ""
 End Try
 
End Sub

Sub NotAvailable(cString As String) As String
	If cString = "" Then 
 		Return "Not Available"
	Else
		Return cString.Replace(Chr(10), "<br /><br />")
	End If
End Sub

Sub ConvertToTimeFormat(ms As Int) As String    
	Dim seconds, minutes As Int    
	seconds = Round(ms / 1000)    
	minutes = Floor(seconds / 60)    
	seconds = seconds Mod 60    
	
	Return NumberFormat(minutes, 1, 0) & ":" & NumberFormat(seconds, 2, 0)
End Sub

Sub SetLVHeights4TextSize(LV As ListView, TwoLine As Boolean, Text1Size As Float, Text2Size As Float, Padding As Float) 
	If TwoLine = True Then        
		LV.TwoLinesLayout.Label.Top = 0
		LV.TwoLinesLayout.Label.TextSize = Text1Size        
		LV.TwoLinesLayout.Label.Height = (Text1Size + (2 * Padding)) * Density  
		LV.TwoLinesLayout.SecondLabel.Top = LV.TwoLinesLayout.Label.Height      
		LV.TwoLinesLayout.SecondLabel.TextSize = Text2Size        
		LV.TwoLinesLayout.SecondLabel.Height = (Text2Size + (2 * Padding)) * Density    
		LV.TwoLinesLayout.ItemHeight = LV.TwoLinesLayout.Label.Height + LV.TwoLinesLayout.SecondLabel.Height     
		LV.TwoLinesLayout.Label.Gravity = Gravity.CENTER_VERTICAL      
		LV.TwoLinesLayout.SecondLabel.Gravity = Gravity.CENTER_VERTICAL   
	Else
		LV.SingleLineLayout.Label.Top = 0     
		LV.SingleLineLayout.Label.TextSize = Text1Size       
		LV.SingleLineLayout.Label.Height = (Text1Size + (2 * Padding)) * Density     
		LV.SingleLineLayout.ItemHeight = LV.SingleLineLayout.Label.Height   
		LV.SingleLineLayout.Label.Gravity = Gravity.CENTER_VERTICAL   
	End If
End Sub

Sub CheckConnection
    Dim p As Phone
    Dim connected As Boolean
    connected = False
    
    If (p.GetDataState == "CONNECTED") Then
        connected = True
    End If
    
    If (p.GetSettings ("wifi_on") == 1) Then
        connected = True
    End If
    
    Return connected
End Sub